View | Details | Raw Unified | Return to bug 190885
Collapse All | Expand All

(-)Makefile (-7 / +2 lines)
Lines 3-9 Link Here
3
3
4
PORTNAME=	ntop
4
PORTNAME=	ntop
5
PORTVERSION=	5.0.1
5
PORTVERSION=	5.0.1
6
PORTREVISION=	4
6
PORTREVISION=	5
7
CATEGORIES=	net
7
CATEGORIES=	net
8
MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Stable
8
MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Stable
9
9
Lines 13-19 Link Here
13
LIB_DEPENDS=	libgdbm.so:${PORTSDIR}/databases/gdbm \
13
LIB_DEPENDS=	libgdbm.so:${PORTSDIR}/databases/gdbm \
14
		libevent-1.4.so:${PORTSDIR}/devel/libevent
14
		libevent-1.4.so:${PORTSDIR}/devel/libevent
15
BUILD_DEPENDS=	rrdtool>=1.2:${PORTSDIR}/databases/rrdtool \
15
BUILD_DEPENDS=	rrdtool>=1.2:${PORTSDIR}/databases/rrdtool \
16
		subversion>=1.7.0:${PORTSDIR}/devel/subversion \
17
		dot:${PORTSDIR}/graphics/graphviz \
16
		dot:${PORTSDIR}/graphics/graphviz \
18
		geoiplookup:${PORTSDIR}/net/GeoIP
17
		geoiplookup:${PORTSDIR}/net/GeoIP
19
RUN_DEPENDS:=	${BUILD_DEPENDS} \
18
RUN_DEPENDS:=	${BUILD_DEPENDS} \
Lines 34-39 Link Here
34
		--with-ossl-root=${OPENSSLBASE} \
33
		--with-ossl-root=${OPENSSLBASE} \
35
		--with-gdbm-root=${LOCALBASE} \
34
		--with-gdbm-root=${LOCALBASE} \
36
		--with-zlib-root=/usr
35
		--with-zlib-root=/usr
36
INSTALL_TARGET=	install-strip
37
37
38
CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
38
CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
39
LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
39
LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
Lines 51-57 Link Here
51
MAKO_DESC=		Install py-mako for Host Map, Region View
51
MAKO_DESC=		Install py-mako for Host Map, Region View
52
52
53
.include <bsd.port.pre.mk>
53
.include <bsd.port.pre.mk>
54
.include <bsd.port.options.mk>
55
54
56
.if ${PORT_OPTIONS:MPCAP_PORT}
55
.if ${PORT_OPTIONS:MPCAP_PORT}
57
LIB_DEPENDS+=		libpcap.so:${PORTSDIR}/net/libpcap
56
LIB_DEPENDS+=		libpcap.so:${PORTSDIR}/net/libpcap
Lines 78-87 Link Here
78
RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}mako>0:${PORTSDIR}/textproc/py-mako
77
RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}mako>0:${PORTSDIR}/textproc/py-mako
79
.endif
78
.endif
80
79
81
.if ${OSVERSION} < 700000
82
BROKEN=		does not configure on 6.X
83
.endif
84
85
pre-configure:
80
pre-configure:
86
	@cd ${WRKSRC} && ${SETENV} ${SCRIPTS_ENV} ${SH} autogen.sh --noconfig
81
	@cd ${WRKSRC} && ${SETENV} ${SCRIPTS_ENV} ${SH} autogen.sh --noconfig
87
82
(-)files/patch-autogen.sh (-3 / +27 lines)
Lines 1-6 Link Here
1
--- ./autogen.sh.orig	2011-02-02 10:40:23.000000000 +0100
1
--- autogen.sh.orig	2012-02-20 14:35:43.000000000 +0400
2
+++ ./autogen.sh	2011-02-02 10:40:40.000000000 +0100
2
+++ autogen.sh	2014-06-10 16:29:45.873177238 +0400
3
@@ -202,16 +202,6 @@
3
@@ -202,30 +202,6 @@
4
   GNU_OR_DIE=0
4
   GNU_OR_DIE=0
5
 }
5
 }
6
 
6
 
Lines 14-19 Link Here
14
-  GNU_OR_DIE=0
14
-  GNU_OR_DIE=0
15
-}
15
-}
16
-
16
-
17
-if test "$GNU_OR_DIE" -eq 0; then
18
-  exit 1
19
-fi
20
-
21
-SVN=`find_command 'svn'`
22
-($SVN --version) < /dev/null > /dev/null 2>&1 ||
23
-{
24
-  echo
25
-  echo "You must have svn/subversion installed to compile $progname."
26
-  echo "Download the appropriate package for your distribution, or get the"
27
-  echo "source from http://subversion.tigris.org"
28
-  GNU_OR_DIE=0
29
-}
30
-
17
 if test "$GNU_OR_DIE" -eq 0; then
31
 if test "$GNU_OR_DIE" -eq 0; then
18
   exit 1
32
   exit 1
19
 fi
33
 fi
34
@@ -442,7 +418,8 @@
35
 if test -d nDPI; then
36
     echo "nDPI already available"
37
 else
38
-    svn co $NDPI_URL
39
+    echo "nDPI not bundled"
40
+    exit 1
41
 fi
42
 
43
 dnl> nDPI compilation

Return to bug 190885